// Fill out your copyright notice in the Description page of Project Settings.


#include "Log/Entity/Remote/CsdkTraceOutputRemote.h"

CsdkTraceOutputRemote::CsdkTraceOutputRemote()
{
	OutputDeviceRemote = MakeUnique<FLogForwarder>(*FCsdkManager::GetInstance().GetDeviceId());

}

CsdkTraceOutputRemote::~CsdkTraceOutputRemote()
{
	OutputDeviceRemote.Reset();
}

void CsdkTraceOutputRemote::Log(const FName& Category, ELogVerbosity::Type Verbosity, const FString& Data)
{
	OutputDeviceRemote->Log(Category,Verbosity,Data);
}
